Activate a card
What you will learn
✅ How to activate a debit card using the card ID
If you are new to card issuing we recommend you read the Cards concept pages before starting this tutorial.
The tutorial assumes you have a knowledge of APIs and how they work. For more information on sending API calls, see API basics.
The tutorial uses this API endpoint:
API | Description |
|---|---|
Activates the card using the card ID |
Before you begin
Make sure you have:
- Card ID from when you created the card
- Registered the following webhook event:
Webhook | Description |
|---|---|
Cards.Card.Activated | Debit card activated |
Activate the card
Activate the card you created in the create a card tutorial.
Call POST /cardmanagement/v1/cards/{id}/activate. Set the id attribute to the card ID. In the sample below the ID is 8c6a53e0-83ad-4b76-b446-b300006a3e6a.
curl --location --globoff --request POST 'https://sandbox.crbcos.com/cardmanagement/v1/cards/{id}/activate?id=8c6a53e0-83ad-4b76-b446-b300006a3e6a' \
--header 'Idempotency-key: a5b1b129-421e-441b-9661-ec1c0396965e' \
--data ''A successful API call returns a JSON response with the details of the card. The card status is now Active. The OrderStatus is Completed.
{
"id": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
"productId": "57146944-b145-4326-884d-b2f700ecf688",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"processorCardId": "827277613081398",
"accountNumber": "158560897007",
"status": "Active",
"statusReasonCode": "NotSet",
"processorCardStatus": "B",
"firstName": "Daly",
"lastName": "Khol",
"shippingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"billingAddress": {
"street1": "1 Roshar Ave",
"city": "Roshar",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
},
"phone": {
"phoneType": "Home",
"phoneNumber": "7185551234"
},
"emailAddress": "[email protected]",
"nameOnCard": "Daly Khol",
"panLastFour": "4558",
"isPinSet": false,
"expirationDate": "2028-06-18",
"adminBlocked": false,
"fraudSuspect": false,
"configurationId": "b2251a28-c218-4e2e-a787-b2f700ef0ecd",
"category": "Debit",
"paymentInstrument": "PhysicalCombo",
"processor": "P1",
"shippingType": "Normal",
"orderStatus": "Completed",
"replacementStatus": "NotApplicable",
"customerId": "e2599a17-d1e2-476c-9672-b2ff008fa575",
"clientIdentifier": "b06ab5cc-553a-4fe4-ad78-751b5ff81f00",
"processorCustomerId": "0CIF7L2973U98WT4E652",
"createdAt": "2025-06-18T02:26:49.617-04:00",
"initialActivation": "2025-06-18T00:00:00-04:00",
"activatedAt": "2025-06-18T02:27:58.8133927-04:00",
"lastModifiedAt": "2025-06-18T02:27:58.8133927-04:00"
}When the card status changes to Active, the Cards.Card.Activated webhook event fires.
{
"id": "95ac33ca-3d7f-49aa-bfc2-afce01113310",
"eventName": "Cards.Card.Activated",
"status": "Pending",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"createdAt": "2023-02-13T04:44:31.282287-05:00",
"resources": [
"cardmanagement/v1/cards/8c6a53e0-83ad-4b76-b446-b300006a3e6a"
],
"details": [
{
"cardId": "8c6a53e0-83ad-4b76-b446-b300006a3e6a",
"status": "Active",
"statusReasonCode": "NotSet"
}
]
}